<style>
    .CodeMirror-scroll {
        height: auto;
        overflow-y: hidden;
        overflow-x: auto;
        border: 1px solid #eee;
    }
    
    .manual-settings li {
        margin-bottom: 10px;
    } 
    
    .tab-pane {
        display: none;
        border: 1px solid #ccc;
        border-top: none;
        padding: 15px;
    }
    
    .gray {
        margin-bottom: 5px;
        font-size: 0.9em;
    }
    
    .tab-content h4 {
        font-size: 1.1em; 
        color: #8f1811;
        font-family: cursive;
    }
    
    .field {
        margin-bottom: 20px;
    }
    
    .reviewsplus-fields-name {
        font-weight: bold;
        font-family: cursive;
    }
    
    .reviewsplus-yes {        
        color: green;
    }
    
    .reviewsplus-no {        
        color: red;
    }
    
    .reviewsplus-dialog-result {
        margin-top: 5px;
        text-align: center;
        font-weight: bold;
        font-size: 1.3em;
        font-family: cursive;
    }
    
    .reviewsplus-settings-attention {
        font-size: 1.1em; 
        color: #8f1811;
        font-family: cursive;
        font-weight: bold;
        margin-bottom: 20px;
    }
    
    #reviewsplus-dialog input {
        margin-top: 5px;
        margin-bottom: 10px;
    }
    
    #reviewsplus-dialog select {
        margin-top: 5px;
        margin-bottom: 10px;
    }
    
    #reviewsplus-dialog select {
        margin-top: 5px;
    }
    
    #reviewsplus-dialog label {
        font-weight: bold;
        font-family: cursive;        
    }
    
    #reviewsplus-dialog h2 {
        margin-bottom: 15px;
    }
    
</style>
<script src="{$js_path|escape}reviewsplus-backend.js"></script>
<div id="reviewsplus-dialog" style="display: none;">
    <h2></h2> 
    <form action="?plugin=reviewsplus&action=saveReviewsField" method="post">        
        <label>Название</label>
        <br/>
        <input type="text" name="fields[name]" id="reviewsplus-field-name" maxlength="50"/>        
        <br/>
        <label>Обязательное</label>
        <br/>
        <select name="fields[required]" id="reviewsplus-field-select-req">
            <option value="1">
                Да
            </option>
            <option value="0">
                Нет
            </option>
        </select>
        <br/>
        <label>Тип</label>
        <br/>
        <select name="fields[type]" id="reviewsplus-field-select-type">            
            <option value='text'>
                Текст
            </option>
            <option value='textarea'>
                Комментарий
            </option>
            <option value='rate'>
                Рейтинг
            </option>
        </select>
        <br/>
        <label>Показывать</label>
        <br/>
        <select name="fields[show]" id="reviewsplus-field-select-show">
            <option value='1'>
                Да
            </option>
            <option value='0'>
                Нет
            </option>            
        </select>
        <br/>
        <label>Сортировка</label>
        <br/>
        <input type="text" name="fields[sort]" id="reviewsplus-field-sort" size="3" maxlength="2"/>
    </form>
    <div class="reviewsplus-dialog-result" style="display: none;">
        
    </div>
</div>
<h1>Reviews Plus</h1>
<h4>ver. 2.3</h4>
<div>Расширенные отзывы</div>
<div style="margin-top: 10px; margin-bottom: 10px; line-height: 1.3em;">    
    <span class="gray">&copy; 2015 Студия Было Не Просто</span><br/>    
</div>
<div class="block padded" style='margin-bottom: 15px;'>
    <ul class="tabs" id="reviewsplus-tabs">
        <li><a href="javascript:void(0);" data-tab="settings">Настройки</a></li> 
        <li><a href="javascript:void(0);" data-tab="fields">Поля отзыва</a></li>
        <li><a href="javascript:void(0);" data-tab="template">Шаблон</a></li>        
        <li><a href="javascript:void(0);" data-tab="instruction">Инструкция</a></li>
        <li><a href="javascript:void(0);" data-tab="allreviews">Все отзывы</a></li>
    </ul>
    <div class="tab-content" id="reviewsplus-tab-content">
        <div class="tab-pane" id="reviewsplus-settings-tab">
            <div class="block padded">
                <div class="fields form">
                    <form action="?plugin=reviewsplus&action=savesettings" method="post" id="plugins-settings-form">
                        {$wa->csrf}
                        <h4>Включить/выключить плагин</h4>    
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[state]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    {if isset($settings['state']) && $settings['state'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Количество отзывов на странице</h4>
                        <div class="gray">
                            Сколько отзывов выводить на одной странице
                            <br/>
                            Оставьте поле пустым (или 0) для показа всех отзывов<br/>
                            на одной странице                            
                        </div>
                        <div class="field">  
                            <input name="settings[reviews_per_page]" 
                                    type="text" 
                                    placeholder="0"
                                    {if isset($settings['reviews_per_page']) && !empty($settings['reviews_per_page'])}
                                        value="{$settings['reviews_per_page']|escape}"
                                    {/if}
                            />  
                            (целое цисло)
                        </div>
                        <h4>Ответы</h4>
                        <div class="gray">
                            Выводить ответы
                        </div>
                        <div class="field">  
                            <div class="ibutton-checkbox">
                                <input type="checkbox"
                                        name="settings[reviews_answers]" 
                                        value="1"
                                        class='reviewsplus_ibutton'
                                        {if isset($settings['reviews_answers']) && $settings['reviews_answers'] == 1}
                                            checked="checked"
                                        {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Текст об отсутствии отзывов</h4>                        
                        <div class="field">
                            <input type="text" 
                                   style="width: 50%;"
                                   name="settings[noreviews]" 
                                   placeholder="Отзывы пока отсутствуют. Станьте первым!"
                                   {if isset($settings['noreviews']) && !empty($settings['noreviews'])}
                                   value="{$settings['noreviews']|escape}"
                                   {/if}                                   
                                   />                             
                        </div>
                        <h4>Сортировать</h4>
                        <div class="gray">
                            По какому полю отбирать отзывы<br/>
                            Сортировка по убыванию
                        </div>
                        <div class="field">  
                            <select name='settings[reviews_sort]'>
                                <option value="datetime"
                                    {if isset($settings['reviews_sort']) && $settings['reviews_sort'] == 'datetime'}
                                        selected
                                    {/if}
                                >
                                    Дата
                                </option>
                                <option value="rate"
                                    {if isset($settings['reviews_sort']) && $settings['reviews_sort'] == 'rate'}
                                        selected
                                    {/if}
                                >
                                Рейтинг
                                </option>                        
                            </select>     
                        </div>
                        <h4>Добавление отзыва во всплывающем окне</h4>    
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[add_popup]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    {if isset($settings['add_popup']) && $settings['add_popup'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Модерация</h4>    
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[moderate]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    {if isset($settings['moderate']) && $settings['moderate'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Капча</h4>
                        <div class="gray">
                            Если в настройках магазина выбрано добавление отзыва с капчей<br/>
                            Выводить капчу для:<br/>
                            Гости - капча будет выводиться ТОЛЬКО для незарегистрированных пользователей<br/>
                            Все - капча будет выводиться для всех
                        </div>
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[captcha]"
                                    value="1"
                                    class='reviewsplus_captcha'
                                    {if isset($settings['captcha']) && $settings['captcha'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Уведомление о новом отзыве</h4>
                        <div class="gray">
                            Введите email, на который необходимо отправлять уведомления<br/>
                            о новом отзыве<br/>
                            Или оставьте пустым, что бы не получать уведомления
                        </div>
                        <div class="field">
                            <input type="text" 
                                   name="settings[email]"                                   
                                   {if isset($settings['email']) && !empty($settings['email'])}
                                   value="{$settings['email']|escape}"
                                   {/if}
                                   />                             
                        </div>                        
                        {$tt = shopDiscounts::isEnabled('coupons')}
                        {if !$tt}
                            {$settings['discount_state'] = 0}
                        {/if}
                        <h4>Купон со скидкой за отзыв</h4>
                        {if !$tt}
                        <div style="color: red; margin-bottom: 5px; font-size: 0.9em;">
                            Скидка по купонам отключена
                            </a>
                        </div>
                        {else}
                        <div class="gray">                            
                            ВНИМАНИЕ!!! Купон будет отправляться на почту оставившего отзыв, <br/>
                            поэтому рекомендуется сделать поле email обязательным!
                        </div> 
                        {/if}
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[discount_state]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    id="reviewsplus-discount-state"
                                    {if !$tt}
                                        disabled="disabled"
                                    {/if}
                                    {if isset($settings['discount_state']) && $settings['discount_state'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>                        
                        <div id="reviewsplus-discount-div"
                            {if !isset($settings['discount_state']) || $settings['discount_state'] != 1}
                                style="display: none;"
                            {/if}
                            >
                            <h4>Скидка</h4>                            
                            <div class="field">
                                <input type="text" 
                                   name="coupon[value]"
                                   style='width: 50px;'
                                   {if isset($coupon['value']) && !empty($coupon['value'])}
                                   value="{$coupon['value']|escape}"
                                   {/if}
                                   />
                                <span class='reviewsplus-coupon-type'>
                                    {if isset($coupon['type'])}
                                        {$coupon['type']|escape}
                                    {/if}
                                </span>
                            </div>
                            {$cur = $wa->shop->currency()}
                            <h4>Тип</h4>
                            <div class='gray'>
                                В валюте - скидка в {$cur}<br/>
                                % - скидка в процентах
                            </div>                            
                            <div class="field">
                                <select name="coupon[type]" id='reviewsplus-type-selector'>
                                    <option value='{$cur}'
                                             {if isset($coupon['type']) && $coupon['type'] == $cur}
                                             selected='selected'
                                             {/if}
                                             >В валюте</option>
                                    <option value='%'
                                             {if isset($coupon['type']) && $coupon['type'] == '%'}
                                             selected='selected'
                                             {/if}
                                             >В процентах</option>
                                </select>
                            </div>
                            <h4>Сколько действует купон</h4>
                            <div class='gray'>
                                Число дней<br/>
                                Ноль (0), если бессрочный
                            </div>                            
                            <div class="field">
                                 <input type="text" 
                                   name="coupon[days]"
                                   style='width: 50px;'
                                   {if isset($coupon['days']) && !empty($coupon['days'])}
                                   value="{$coupon['days']|escape}"
                                   {/if}
                                   /> 
                            </div>
                            <h4>Текст о скидке</h4>
                            <div class='gray'>
                                Показывать или нет текст о купоне на скидку<br/>
                                в отзывах
                            </div>
                            <div class="field">
                                <div class="ibutton-checkbox">
                                    <input type="checkbox" 
                                        name="settings[discount_text]"
                                        value="1"
                                        class='reviewsplus_ibutton'
                                        {if isset($settings['discount_text']) && $settings['discount_text'] == 1}
                                            checked="checked"
                                        {/if}
                                    /> 
                                </div>
                            </div>
                        </div>
                        <div style="margin-bottom: 10px; margin-top: 30px; font-weight: bold; font-size: 1.4em;">НАСТРОЙКИ МАГАЗИНА</div>
                        <h4>Отзывы о товарах могут оставлять только зарегистрированные пользователи</h4>
                        <div class="gray">
                            ВНИМАНИЕ!!!<br/>
                            Это настройка МАГАЗИНА, а не плагина!!!
                        </div>
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="shop[authorization]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    {if isset($require_authorization) && $require_authorization == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Защитить форму добавления отзыва о товаре с помощью капчи (CAPTCHA)</h4>
                        <div class="gray">
                            ВНИМАНИЕ!!!<br/>
                            Это настройка МАГАЗИНА, а не плагина!!!
                        </div>
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="shop[captcha]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    {if isset($request_captcha) && $request_captcha == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <h4>Скидки по купонам</h4>
                        <div class="gray">
                            ВНИМАНИЕ!!!<br/>
                            Это настройка МАГАЗИНА, а не плагина!!!<br/>
                            Если будете менять данную опцию, после сохранения настроек - перезагрузите страницу.
                        </div>
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="shop[coupon]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    id="reviewsplus-shop-coupon"
                                    {if $tt}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <div style="margin-bottom: 10px; margin-top: 30px; font-weight: bold; font-size: 1.4em;">AKISMET Антиспам</div>                        
                        <h4>Включить/выключить защиту AKISMET</h4>                        
                        <div class="field">
                            <div class="ibutton-checkbox">
                                <input type="checkbox" 
                                    name="settings[akis_state]"
                                    value="1"
                                    class='reviewsplus_ibutton'
                                    id="reviewsplus-akis-state"
                                    {if isset($settings['akis_state']) && $settings['akis_state'] == 1}
                                        checked="checked"
                                    {/if}
                                /> 
                            </div>
                        </div>
                        <div id="reviewsplus-akis-key-div"
                             {if !isset($settings['akis_state']) || $settings['akis_state'] == 0}
                             style="display: none;"
                             {/if}
                             >
                            <h4>API-key</h4>
                            <div class="gray">
                                Api-ключ сервиса akismet.com<br/>
                                Получить ключ вы можете после
                                <a href="http://akismet.com/plans/" target="_blank">
                                    регистрации <i class="icon10 new-window"></i>
                                </a>
                            </div>
                            <div class="field">
                                <div class="field">
                                    <input type="text" 
                                           name="settings[akis_key]" 
                                           id="reviewsplus-akis-key"
                                           {if isset($settings['akis_key']) && !empty($settings['akis_key'])}
                                           value="{$settings['akis_key']|escape}"
                                           {/if}
                                           /> 
                                    <br/>
                                    <a href="javascript:void(0);" class='reviewsplus-check-key inline-link'>
                                        <b><i>Проверить ключ</i></b>                                           
                                    </a>
                                    <span class="reviewsplus-akis-key-result" style="display: none;"></span>
                                </div>                                
                            </div>
                        </div>                        
                        <div class="field">
                            <input id="submit-button" type="submit" class="button green" value="Сохранить">
                            <span id="plugins-settings-status" style="display:none"></span>
                        </div>
                    </form>
                </div>
            </div>
            <div class="clear-both"></div>
        </div>
        <div class="tab-pane" id="reviewsplus-fields-tab">
            <div class="block padded"> 
                <h4>Добавление/редактирование полей</h4>                
                    <table class="zebra">
                        <thead>
                            <tr>                                
                                <th style="width: 100px;">Редактировать</th>
                                <th>Name id</th>
                                <th>Тип</th>
                                <th>Имя</th>                                
                                <th style="text-align: center;">Обязательное</th>
                                <th style="text-align: center;">Показывать</th>
                                <th style="text-align: center;">Сортировка</th>
                                <th style="text-align: center;">Удалить</th>
                            </tr>
                        </thead>                                
                        <tbody id='reviewsplus-tbody'>                        
                        </tbody>
                        <tfoot>
                            <tr class="white" style="text-align: center; border: 1px solid;" >
                                <td colspan="8">
                                    <a href='javascript:void(0);' class="reviewsplus-field-add inline-link small" title='Добавить' >
                                        <i class="icon10 add"></i> Добавить
                                    </a> 
                                </td>
                            </tr>
                        </tfoot>
                    </table>  
            </div>
            <div class="reviewsplus-settings-info">
                    <h4>Введение</h4>
                    <div class="reviewsplus-settings-opis" style='margin-bottom: 10px;'>
                        Существуют основные и дополнительные поля. К основным относятся:
                        <ul>
                            <li>
                                <b>Комментарий (name_id - text)</b><br/>
                                Это поле обычного (дефолтового отзыва)
                            </li>
                            <li>
                                <b>Имя (name)</b><br/>
                                Поле имя автора отзыва
                            </li>
                            <li>
                                <b>Заголовок (title)</b><br/>
                                Дефолтовый заголовок отзыва
                            </li>
                            <li>
                                <b>Email</b><br/>
                                Дефолтовый email автора отзыва
                            </li>
                            <li>
                                <b>Сайт</b><br/>
                                Дефолтовый сайт автора отзыва
                            </li>
                            <li>
                                <b>Общий рейтинг</b><br/>
                                Дефолтовый рейтинг отзыва. Рейтинг продукта формируется исходя именно из него.
                            </li>
                        </ul>
                        Основные поля создаются при установке плагина и вы не можете их удалить. Такие поля можно редактировать<br/>
                        Например менять сортировку, изменять название (не name_id), делать обязательным или нет.<br/><br/>
                        Дополнительные поля вы можете добавлять сами и в любых количествах.<br/>Дополнительные поля можно удалять.
                    </div>
                    <h4>Назначение типов доп. полей</h4>
                    <ul>
                        <li>
                            <b>Текст</b> - данный тип предназначен для коротких полей типа Заголовка<br/>
                            (Максимальное кол-во символов поля - 100)
                        </li>
                        <li>
                            <b>Рейтинг</b> - данный тип служит для вывода рейтингов
                        </li>
                        <li>
                            <b>Комментарий</b> - тип, для вывода длинных полей типа Комментария
                        </li>
                    </ul>
                    <h4>Добавление нового поля</h4>
                    <ol>
                        <li>
                            <b>Название</b> - название поля. Например Доп. заголовок<br/>
                            Максимальная длина названия - 50 символов
                        </li>
                        <li>
                            <b>Обязательное</b> - флаг обязательного поля<br/>
                            При добавлении отзыва обязательное поле будет отмечено и если оно не будет заполнено,<br/>
                            отзыв не добавится и будет показана ошибка
                        </li>
                        <li>
                            <b>Тип</b> - типы полей описаны выше<br/>
                            Для типа Рейтинг, флаг обязательного поля не доступен для настройки и всегда обязателен!<br/>
                            При этом любые рейтинги не являются обязательными и никак не отмечаются.
                        </li>
                        <li>
                            <b>Показывать</b> - флаг служит для настройки отображения данного поля в отзывах<br/>
                            Если выбрано "Нет", поле показываться не будет, даже если заполнено<br/>
                            Удобно для сокрытия полей типа Сайт и Email.
                        </li>
                        <li>
                            <b>Сортировка</b> - числовой параметр сортировки полей<br/>
                            Поля сортируются относительно типов.
                        </li>
                    </ol> 
                    <h4>Значения по умолчанию</h4>
                    <div class="reviewsplus-settings-opis" style='margin-bottom: 10px;'>
                        Для некоторых основных полей существуют значения по умолчанию,<br/>
                        которые будут подставляться, если поле при добавлении не было заполнено.
                        <ul>                            
                            <li>
                                <b>Имя</b><br/>
                                Аноним
                            </li>
                            <li>
                                <b>Заголовок</b><br/>
                                Без заголовка
                            </li>
                            <li>
                                <b>Email</b><br/>
                                Email магазина
                            </li>                            
                        </ul>                        
                    </div>
                </div>
            <div class="clear-both"></div>
        </div>
        <div class="tab-pane" id="reviewsplus-template-tab">
            <div class="block padded"> 
                <div class="reviewsplus-settings-attention"> 
                    <i class="icon16 exclamation"></i> Внимание!<br/>
                    Изменяйте шаблон ТОЛЬКО если понимаете что делаете!!!                    
                </div>                
                    <form action="?plugin=reviewsplus&action=saveTemplate" method="post"  >                        
                    {$wa->csrf}                                  
                    {if isset($template) && !empty($template)}
                        <div id="reviewsplus-template-changed"
                             {if !$tml_change}
                             style="display: none;"
                             {/if}
                             >
                             <span class="reviewsplus-template-reset-span">
                                <i class="icon16 exclamation"></i>Внимание! Шаблон по умолчанию был изменен
                            <br/>
                            <label>Вернуть дефолтный шаблон</label>
                            <input type="checkbox" name='reviewsplus-template-reset' value="1" /> 
                            </span>
                        </div>                        
                        <input type="button" id="reviewsplus-template-save" value="Сохранить" />                        
                        <span class="reviewsplus-template-result" style="display: none;"></span>
                        <br/>
                        <textarea name="reviewsplus-template" 
                                  id="reviewsplus-template">{$template}</textarea>
                    {/if}
                </form>                             
            </div>
            <div class="clear-both"></div>
        </div>
        <div class="tab-pane" id="reviewsplus-allreviews-tab">
            <div class="block padded"> 
                <h2>Настройка вывода всех отзывов магазина</h2>
                <form action="?plugin=reviewsplus&action=arsettingssave" id="reviewsplus-ar-form" method="post"  >
                    {$wa->csrf}
                    <h4>Включить/выключить вывод всех отзывов</h4>
                    <div class="field">
                        <div class="ibutton-checkbox">
                            <input type="checkbox" 
                                   name="arsettings[state]"
                                   value="1"
                                   class='reviewsplus_ibutton_ar'
                                   {if isset($settings['arstate']) && $settings['arstate'] == 1}
                                    checked="checked"
                                   {/if}
                            /> 
                        </div>
                    </div>
                    <h4>Количество отзывов на странице</h4>
                    <div class="gray">
                        Сколько отзывов выводить на одной странице
                        <br/>
                        Оставьте поле пустым (или 0) для показа всех отзывов<br/>
                        на одной странице                            
                    </div>
                    <div class="field">  
                        <input name="arsettings[reviews_per_page]" 
                            type="text" 
                            placeholder="0"
                            {if isset($settings['ar_reviews_per_page']) && !empty($settings['ar_reviews_per_page'])}
                                value="{$settings['ar_reviews_per_page']|escape}"
                            {/if}
                        />  
                            (целое цисло)
                    </div>
                    <h4>Ответы</h4>
                    <div class="gray">
                        Выводить ответы
                    </div>
                    <div class="field">  
                        <div class="ibutton-checkbox">
                            <input type="checkbox"
                                name="arsettings[reviews_answers]" 
                                value="1"
                                class='reviewsplus_ibutton_ar'
                                {if isset($settings['ar_reviews_answers']) && $settings['ar_reviews_answers'] == 1}
                                    checked="checked"
                                {/if}
                            /> 
                        </div>
                    </div>                                        
                    <div class="field">
                        <input id="arsubmit-button" type="button" class="button green" value="Сохранить">
                        <span id="plugins-arsettings-status" style="display:none"></span>
                    </div>
                    <h2>Для вывода всех отзывов:</h2>                    
                    <ol style="line-height: 2em;">
                        <li>
                            Создайте в нужном шаблоне файл <b>all-reviews.html</b>
                            <br/>
                            <b>Витрина->Нужный шаблон->Шаблоны->Добавить файл</b>
                            <br/>
                            На этом шаге запомните правило маршрутизации для этого шаблона.
                            (Правило маршрутизации витрины, на которой используется данный шаблон)
                        </li>
                        <li>
                            Скопируйте в созданный файл приведенный ниже код
                        </li>
                        <li>
                            Ссылка на страницу со всеми отзывами будет выглядеть так:
                            <br/>
                            <i>запомненное правило маршрутизации</i><b>/reviewsplus/allreviews</b>
                            <br/>
                            Наример, данную ссылку можно добавить в основное меню:<br/>
                            <b>Сайт->Настройки->$wa->apps() меню ->Настроить->Добавить ссылку</b>                            
                        </li>
                    </ol>
                    {if isset($all_reviews) && !empty($all_reviews)}
                        <textarea id="reviewsplus-allreviews-template">{$all_reviews}</textarea>
                    {/if}
                </form>
            </div>
            <div class="clear-both"></div>
        </div>
        <div class="tab-pane" id="reviewsplus-instruction-tab">
            <div class="block padded"> 
                <h4>Хелпер</h4>
                <br/>                
                {literal}
                {shopReviewsplusPlugin::reviewsHelper($product.id)}
                {/literal} 
                <br/><br/>                
                Для вывода отзывов необходимо вставить следующий код:<br/>
                <textarea id='reviewsplus-helper-code'>{literal}
{if (shopReviewsplusPlugin::getState())}
    {shopReviewsplusPlugin::reviewsHelper($product.id)}
{/if}{/literal}</textarea>                
                в нужное место файла <b>product.html</b> вашего основного шаблона<br/><br/>
                <h4>Поиск нужного места</h4>
                Единой инструкции, к сожалению, не существует, но вот самая распространенная<br/><br/>
                В файле <b>product.html</b> находите &lt;span&gt;,&lt;div&gt;, &lt;section&gt;, etc c классом <b>reviews</b><br/>
                сразу ПОСЛЕ него вставляете:<br/><br/><b>
                    {literal}{if !(shopReviewsplusPlugin::getState())}{/literal}</b>
                <br/><br/>
                перед тегом, закрывающим найденый выше, вставляете<br/><br/>
                <b>
                {literal}
                {else}{shopReviewsplusPlugin::reviewsHelper($product.id)}{/if}
                {/literal}
                </b>
                <br/><br/>
                Должно получиться что-то вроде (код для шаблона Дефолт 2.0):
                <textarea id='reviewsplus-helper-example'>{literal}
<!-- product reviews -->
        <section class="reviews">
            
        <!-- Первый вставленный код -->    
        {if !(shopReviewsplusPlugin::getState())}
        <!--Конец первого вставленного кода --> 
        
            <h2>{sprintf('[`%s reviews`]', $product.name|escape)}</h2>
            
            ... Старый код ...
            ... Старый код ...
            ... Старый код ...
            
            {else}
                {sprintf(_w(
                        'Read <a href="%s">all %d review</a> on %s', 
                        'Read <a href="%s">all %d reviews</a> on %s', 
                        $reviews_total_count, false
                    ), 'reviews/', $reviews_total_count, $product.name|escape)
                }
            {/if}
            
        <!-- Второй вставленный код --> 
        {else}
            {shopReviewsplusPlugin::reviewsHelper($product.id)}
        {/if}
        <!--Конец второго втсавленного кода -->
        
        </section>
{/literal}</textarea>
                <h4>Удаляем ссылку на отзывы</h4>
                Ссылки на отзывы (или вкладки) достаточно индивидуальны для каждого шаблона<br/>
                Например в шаблоне <b>Дефолт 2.0</b> надо в файле <b>product.html</b> найти вот такой код:
                <br/><br/>  
                {literal}
                &lt;li>
                &lt;a href="{$wa->shop->productUrl($product, 'reviews')}">[`Reviews`]&lt;/a>
                &lt;span class="hint">{$reviews_total_count}&lt;/span>
                &lt;/li>
                {/literal}
                <br/><br/>
                перед этим кодом надо добавить<br/><br/><b>
                    {literal}{if !(shopReviewsplusPlugin::getState())}{/literal}</b>
                <br/><br/>
                а после:<br/><br/><b>
                    {literal}{/if}{/literal}</b>
                <br/><br/>
                Должно получиться следующие (на примере шаблона Дефолт 2.0):<br/><br/>
                <textarea id='reviewsplus-helper-example2'>{literal}
<!-- product internal nav -->
    <nav>
        <ul class="product-nav top-padded">
            <li class="selected"><a href="{$wa->shop->productUrl($product)}">[`Overview`]</a></li>
            
            <!--Первый вставленный код-->
            {if !(shopReviewsplusPlugin::getState())}
            <!--Конец первого вставленного кода-->
            
            <li>
                <a href="{$wa->shop->productUrl($product, 'reviews')}">[`Reviews`]</a>
                <span class="hint">{$reviews_total_count}</span>
            </li>
            
            <!-- Второй вставленный код-->
            {/if}
            <!--Конец второго вставленного кода-->
            
            {foreach $product.pages as $page}
                <li><a href="{$wa->shop->productUrl($product, 'page', ['page_url' => $page.url])}">{$page.name|escape}</a></li>
            {/foreach}
            
            <!-- plugin hook: 'frontend_product.menu' -->
            {* @event frontend_product.%plugin_id%.menu *}
            {foreach $frontend_product as $_}{$_.menu}{/foreach}
        
        </ul>
    </nav>
{/literal}</textarea>
                <h4>Исправление шаблона reviews.html</h4>
                Для корректной работы новых отзывов на странице отзывов<br/>
                (ссылка на эту страницу хоть и скрывается в предыдущих пунктах, но страница остается доступной)<br/>
                необходимо исправить файл <b>reviews.html</b> (не review.html!!!) вашего шаблона.<br/><br/>
                Добавьте в самом начале файла следующий код:<br/><br/><b>
                {literal}{if (shopReviewsplusPlugin::getState())}{shopReviewsplusPlugin::reviewsHelper($product.id)}{else}{/literal}
                </b>
                <br/><br/>
                а в самом конце<br/><br/>
                <b>{literal}{/if}{/literal}</b>
                <br/><br/>
                Вот, что должно получиться (на примере шаблона Дефолт 2.0)<br/><br/>
                <textarea id='reviewsplus-helper-example3'>{literal}
<!--Начало первого вставленного кода-->
{if (shopReviewsplusPlugin::getState())}
    {shopReviewsplusPlugin::reviewsHelper($product.id)}
{else}
<!--Конец первого вставленного кода-->

<script type="text/javascript" src="{$wa_app_static_url}js/rate.widget.js"></script>
<script type="text/javascript" src="{$wa_theme_url}reviews.js"></script>

<article>
    
    ... Старый код ...
    ... Старый код ...
    ... Старый код ...

</article>

<!--Начало второго вставленного кода-->
{/if}
<!--Конец второго втсавленного кода-->
{/literal}</textarea>
                <div class="reviewsplus-settings-attention"> 
                    <i class="icon16 exclamation"></i> Внимание!<br/>
                    Если вы решите удалить плагин, не забудьте удалить внесенные изменения!!!
                </div>
                <div class="reviewsplus-settings-attention"> 
                    <i class="icon16 exclamation"></i> Внимание2!<br/>
                    Если что-то не получается - не стесняйтесь писать мне и я вам помогу.
                    <br/>
                    Перед изменениями обязательно сохраняйте шаблоны, которые редактируете!!!
                </div>  
            <div class="clear-both"></div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $.reviewsplus_settings.init();
</script>